<?php
if(!defined('INDEX')) { header('Location: ../'); exit; }
$titre = 'Prise de contrôle d\'un joueur';
$pagea = 'erreur';

	$template->assign('linkpage', 'cjoueurs');

if ($sess->values['auth_level'] >= 5 && !empty($_GET['id'])) {
	$name = $_GET['id'];
	$chapeau->connexion();
	$chapeau->escape($name);
	$req = $chapeau->unique_query("SELECT auth_level FROM $table_user WHERE id = '$name';");
	$chapeau->deconnexion();
	if ($req['auth_level'] >= 3) {
		$template->assign('message', 'Vous ne pouvez pas prendre le contrôle de cet utilisateur !');
	}
	else {
		$sess->values['id'] = $_GET['id'];
		$sess->put();

		$template->assign('message', 'Vous contrôlez maintenant le joueur '.$_GET['id'].'.<br />Pensez à sélectionner sa planète !');
	}
}
elseif (!empty($_GET['name'])) {
	$name = $_GET['name'];
	$chapeau->connexion();
	$chapeau->escape($name);
	$req = $chapeau->unique_query("SELECT id FROM $table_user WHERE pseudo = '$name';");
	$chapeau->deconnexion();
	header('Location: admin.php?p=cjoueurs&id='.$req['id']);
	exit;
}
else {
	$pagea = 'print_choixU';
}
?>